package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.WhiteList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WhiteListMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(WhiteList record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(WhiteList record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return WhiteList
     */
    WhiteList selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(WhiteList record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(WhiteList record);

    /**
     * 通过enuu查找
     * @param enuu
     * @return
     */
    List<WhiteList> findByEnuu (@Param("enuu") int enuu);
}